"""Test utils."""
from os.path import join, dirname, abspath

ROOT = abspath(dirname(__file__))

DATA = join(ROOT, "data")

TEST = {
    # somatic
    "pindel_indels": join(DATA, "somatic", "pindel.indels.vcf.gz"),
    "caveman_snvs": join(DATA, "somatic", "caveman.snvs.vcf.gz"),
    "strelka_indels": join(DATA, "somatic", "strelka.indels.vcf.gz"),
    "strelka_snvs": join(DATA, "somatic", "strelka.snvs.vcf.gz"),
    "mutect_indels": join(DATA, "somatic", "mutect.indels.vcf.gz"),
    "mutect_snvs": join(DATA, "somatic", "mutect.snvs.vcf.gz"),
    # germline
    "freebayes_variants": join(DATA, "germline", "freebayes.variants.vcf.gz"),
    "freebayes_indels": join(DATA, "germline", "freebayes.indels.vcf.gz"),
    "freebayes_snvs": join(DATA, "germline", "freebayes.snvs.vcf.gz"),
    "strelka_gm_variants": join(DATA, "germline", "strelka.variants.vcf.gz"),
    "strelka_gm_indels": join(DATA, "germline", "strelka.indels.vcf.gz"),
    "strelka_gm_snvs": join(DATA, "germline", "strelka.snvs.vcf.gz"),
    # bedfile
    "regions_file_2": join(DATA, "bedfiles", "regions.2.bed"),
    "regions_file_8": join(DATA, "bedfiles", "regions.8.bed"),
}
